Bug 65459 - assembler warnings on ia64
assembler warnings on ia64
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-24 11:34 EDT by Tim Waugh
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 16:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testcase.c (114.45 KB, text/plain)
2002-05-24 11:35 EDT, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2002-05-24 11:34:45 EDT
Description of Problem:      
When compiling some files in teTeX the assembler complains about the     
compiler's output.     
      
Version-Release number of selected component (if applicable):      
gcc-3.1-2    
binutils-2.12.90.0.7-2   
      
How Reproducible:      
100%   
      
Steps to Reproduce:      
1. gcc -O2 -c testcase.c  
      
Actual Results:      
/tmp/ccfUybZA.s: Assembler messages: 
/tmp/ccfUybZA.s:154: Warning: Use of 'mov' may violate WAW dependency 'GR%, % 
in 1 - 127' (impliedf), specific resource number is 16 
/tmp/ccfUybZA.s:154: Warning: Only the first path encountering the conflict is 
reported 
/tmp/ccfUybZA.s:153: Warning: This is the location of the conflicting usage 
      
Expected Results:      
No assembler warnings. 
      
Additional Information:      
See attached testcase.c, a preprocessed C file somewhat edited for brevity.
Comment 1 Tim Waugh 2002-05-24 11:35:13 EDT
Created attachment 58425 [details]
testcase.c
Comment 2 Richard Henderson 2004-10-02 16:40:27 EDT
This was a gas bug.  It appears to be fixed in binutils 2.15.

Note You need to log in before you can comment on or make changes to this bug.